<?php
/**
 * Configuration for Paginator
 * 
 * @author Elze Kool <info@visualmedia.nl>
 */

namespace VisualM\ManagementBundle\AdminList;

/**
 * Configuration for Paginator
 *
 * @author Elze Kool <info@visualmedia.nl>
 */
class PaginationConfiguration
{
    
    private $WindowSize;
    private $PageSize;

    /**
     * Constructor
     * 
     * @param integer $PageSize   Page Size (Number of items per page)
     * @param integer $WindowSize Window Size (Number of pages displayed before/after current)
     */
    function __construct($PageSize = 25, $WindowSize = 5)
    {
        $this->WindowSize = $WindowSize;
        $this->PageSize = $PageSize;
    }

    /**
     * Get Window Size 
     * 
     * @return integer Window Size 
     */
    public function getWindowSize()
    {
        return $this->WindowSize;
    }

    /**
     * Get Page Size
     * 
     * @return integer Page Size
     */
    public function getPageSize()
    {
        return $this->PageSize;
    }


    
}